Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/htmlProjectReport.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(nonexistent)
@@ -1,11 +0,0 @@
-import {Component} from '@angular/core';
-
-@Component({
-  selector: 'monitor-htmlProjectReport',
-  template: `
-    <div id="page_content">
-      <htmlProjectReport></htmlProjectReport>
-    </div>`,
-})
-export class MonitorHtmlProjectReportComponent {
-}
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/htmlProjectReport-routing.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/htmlProjectReport-routing.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/htmlProjectReport-routing.module.ts	(nonexistent)
@@ -1,16 +0,0 @@
-import {NgModule} from '@angular/core';
-import {RouterModule} from '@angular/router';
-
-import {MonitorHtmlProjectReportComponent} from './htmlProjectReport.component';
-import {PreviousRouteRecorder} from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
-
-
-@NgModule({
-  imports: [
-    RouterModule.forChild([
-      {path: '', component: MonitorHtmlProjectReportComponent, canDeactivate: [PreviousRouteRecorder]}
-    ])
-  ]
-})
-export class HtmlProjectReportRoutingModule {
-}
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/libHtmlProjectReport.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/libHtmlProjectReport.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/htmlProjectReport/libHtmlProjectReport.module.ts	(nonexistent)
@@ -1,14 +0,0 @@
-import {NgModule} from '@angular/core';
-import {HtmlProjectReportModule} from '../../../openaireLibrary/landingPages/htmlProjectReport/htmlProjectReport.module';
-import {FreeGuard} from '../../../openaireLibrary/login/freeGuard.guard';
-import {PreviousRouteRecorder} from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
-import {MonitorHtmlProjectReportComponent} from './htmlProjectReport.component';
-import {HtmlProjectReportRoutingModule} from './htmlProjectReport-routing.module';
-
-@NgModule({
-  imports: [HtmlProjectReportModule, HtmlProjectReportRoutingModule],
-  declarations:[MonitorHtmlProjectReportComponent],
-  providers:[FreeGuard, PreviousRouteRecorder],
-  exports:[MonitorHtmlProjectReportComponent]
-})
-export class LibHtmlProjectReportModule { }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/assets/search.scss
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/assets/search.scss	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/assets/search.scss	(revision 59106)
@@ -57,4 +57,10 @@
   .uk-alert.uk-grid {
     display: flex;
   }
+
+  .uk-alert-primary {
+    background: #fff;
+    color: #222080;
+    border-color: #222080;
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor-routing.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor-routing.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor-routing.module.ts	(revision 59106)
@@ -20,7 +20,6 @@
         loadChildren: '../search/search.module#SearchModule',
         resolve: {envSpecific: EnvironmentSpecificResolver}
       },
-      { path: ':stakeholder/project-report', loadChildren: '../search/landingPages/htmlProjectReport/libHtmlProjectReport.module#LibHtmlProjectReportModule', resolve: { envSpecific: EnvironmentSpecificResolver  }},
       {
         path: ':stakeholder/:topic',
         component: MonitorComponent,
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/links-resolver.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/links-resolver.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/links-resolver.ts	(revision 59106)
@@ -12,6 +12,7 @@
   searchLinkToResults,
   searchLinkToProjects,
   searchLinkToDataProviders,
+  searchLinkToOrganizations,
   searchLinkToAdvancedResults,
   searchLinkToAdvancedProjects,
   searchLinkToAdvancedDataProviders,
@@ -32,6 +33,7 @@
     searchLinkToResults: properties.searchLinkToResults,
     searchLinkToDataProviders: properties.searchLinkToDataProviders,
     searchLinkToProjects: properties.searchLinkToProjects,
+    searchLinkToOrganizations: properties.searchLinkToOrganizations,
     searchLinkToAdvancedResults: properties.searchLinkToAdvancedResults,
     searchLinkToAdvancedProjects: properties.searchLinkToAdvancedProjects,
     searchLinkToAdvancedDataProviders: properties.searchLinkToAdvancedDataProviders,
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchDataproviders.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchDataproviders.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchDataproviders.component.ts	(revision 59106)
@@ -40,8 +40,6 @@
             this.initialized = true;
           }
         });
-      } else {
-        this.initialized = true;
       }
     });
   }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchOrganizations.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchOrganizations.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchOrganizations.component.ts	(revision 59106)
@@ -1,13 +1,33 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-advanced-search-organizations',
   template: `
     <div id="page_content">
-      <search-organizations [simpleView]="false">
+      <search-organizations *ngIf="initialized" [simpleView]="false">
       </search-organizations>
     </div>
   `
 })
 export class MonitorAdvancedSearchOrganizationsComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchProjects.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchProjects.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchProjects.component.ts	(revision 59106)
@@ -43,8 +43,6 @@
             this.initialized = true;
           }
         });
-      } else {
-        this.initialized = true;
       }
     });
   }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchResearchResults.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchResearchResults.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/advanced/searchResearchResults.component.ts	(revision 59106)
@@ -43,8 +43,6 @@
             this.initialized = true;
           }
         });
-      } else {
-        this.initialized = true;
       }
     });
   }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchDataproviders.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchDataproviders.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchDataproviders.component.ts	(revision 59106)
@@ -40,8 +40,6 @@
             this.initialized = true;
           }
         });
-      } else {
-        this.initialized = true;
       }
     });
   }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchOrganizations.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchOrganizations.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchOrganizations.component.ts	(revision 59106)
@@ -1,13 +1,33 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-search-organizations',
   template: `
     <div id="page_content">
-      <search-organizations>
+      <search-organizations *ngIf="initialized">
       </search-organizations>
     </div>
   `
 })
 export class MonitorSearchOrganizationsComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchProjects.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchProjects.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchProjects.component.ts	(revision 59106)
@@ -44,8 +44,6 @@
 
           }
         });
-      } else {
-        this.initialized = true;
       }
     });
   }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchResearchResults.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchResearchResults.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/searchPages/simple/searchResearchResults.component.ts	(revision 59106)
@@ -43,8 +43,6 @@
             this.initialized = true;
           }
         });
-      } else {
-        this.initialized = true;
       }
     });
   }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/orp/libOrp.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/orp/libOrp.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/orp/libOrp.module.ts	(revision 59106)
@@ -4,10 +4,11 @@
 import {MonitorOrpComponent}        from './orp.component';
 import {OrpRoutingModule}            from './orp-routing.module';
 import {ResultLandingModule} from "../../../openaireLibrary/landingPages/result/resultLanding.module";
+import {CommonModule} from "@angular/common";
 
 @NgModule({
   imports: [
-    OrpRoutingModule, ResultLandingModule
+    OrpRoutingModule, ResultLandingModule, CommonModule
   ],
   declarations: [
     MonitorOrpComponent
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/orp/orp.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/orp/orp.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/orp/orp.component.ts	(revision 59106)
@@ -1,13 +1,33 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-orp',
   template: `
     <div id="page_content">
-      <result-landing type="orp"></result-landing>
+      <result-landing *ngIf="initialized" type="orp"></result-landing>
     </div>
   `,
 })
 
 export class MonitorOrpComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataProvider/libDataProvider.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataProvider/libDataProvider.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataProvider/libDataProvider.module.ts	(revision 59106)
@@ -6,7 +6,7 @@
 import {PreviousRouteRecorder} from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
 
 @NgModule({
-  imports: [DataProviderModule, DataProviderRoutingModule],
+  imports: [DataProviderModule, DataProviderRoutingModule, CommonModule],
   declarations:[MonitorDataProviderComponent],
   providers:[FreeGuard, PreviousRouteRecorder],
   exports:[MonitorDataProviderComponent]
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataProvider/dataProvider.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataProvider/dataProvider.component.ts	(revision 59106)
@@ -1,11 +1,31 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-dataprovider',
   template: `
     <div id="page_content">
-      <dataprovider></dataprovider>
+      <dataprovider *ngIf="initialized"></dataprovider>
     </div>`,
 })
 export class MonitorDataProviderComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/organization/libOrganization.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/organization/libOrganization.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/organization/libOrganization.module.ts	(revision 59106)
@@ -4,9 +4,10 @@
 import {PreviousRouteRecorder} from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
 import {MonitorOrganizationComponent} from './organization.component';
 import {OrganizationRoutingModule} from './organization-routing.module';
+import {CommonModule} from "@angular/common";
 
 @NgModule({
-  imports: [OrganizationModule, OrganizationRoutingModule],
+  imports: [OrganizationModule, OrganizationRoutingModule, CommonModule],
   declarations:[MonitorOrganizationComponent],
   providers:[FreeGuard, PreviousRouteRecorder],
   exports:[MonitorOrganizationComponent]
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/organization/organization.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/organization/organization.component.ts	(revision 59106)
@@ -1,11 +1,31 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-organization',
   template: `
     <div id="page_content">
-      <organization></organization>
+      <organization *ngIf="initialized"></organization>
     </div>`,
 })
 export class MonitorOrganizationComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataset/libDataset.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataset/libDataset.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataset/libDataset.module.ts	(revision 59106)
@@ -4,11 +4,11 @@
 import {PreviousRouteRecorder} from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
 import {DatasetRoutingModule} from './dataset-routing.module';
 import {ResultLandingModule} from "../../../openaireLibrary/landingPages/result/resultLanding.module";
-
+import {CommonModule} from "@angular/common";
  @NgModule({
-    imports: [DatasetRoutingModule, ResultLandingModule],
-    declarations:[MonitorDatasetComponent],
-    providers:[FreeGuard, PreviousRouteRecorder],
-    exports:[MonitorDatasetComponent]
+   imports: [DatasetRoutingModule, ResultLandingModule, CommonModule],
+  declarations:[MonitorDatasetComponent],
+  providers:[FreeGuard, PreviousRouteRecorder, IsRouteEnabled],
+  exports:[MonitorDatasetComponent]
 })
 export class LibDatasetModule { }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataset/dataset.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/dataset/dataset.component.ts	(revision 59106)
@@ -1,12 +1,33 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-dataset',
   template: `
     <div id="page_content">
-      <result-landing type="dataset"></result-landing>
+      <result-landing *ngIf="initialized" type="dataset"></result-landing>
     </div>
   `,
 })
 export class MonitorDatasetComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
+
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/project/libProject.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/project/libProject.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/project/libProject.module.ts	(revision 59106)
@@ -4,9 +4,10 @@
 import {PreviousRouteRecorder} from '../../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
 import {MonitorProjectComponent} from './project.component';
 import {ProjectRoutingModule} from './project-routing.module';
+import {CommonModule} from "@angular/common";
 
 @NgModule({
-  imports: [ProjectModule, ProjectRoutingModule],
+  imports: [ProjectModule, ProjectRoutingModule, CommonModule],
   declarations:[MonitorProjectComponent],
   providers:[FreeGuard, PreviousRouteRecorder],
   exports:[MonitorProjectComponent]
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/project/project.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/project/project.component.ts	(revision 59106)
@@ -1,11 +1,32 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-project',
   template: `
     <div id="page_content">
-      <project></project>
+      <project *ngIf="initialized"></project>
     </div>`,
 })
 export class MonitorProjectComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
+
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/publication/publication.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/publication/publication.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/publication/publication.component.ts	(revision 59106)
@@ -1,12 +1,32 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-publication',
   template: `
     <div id="page_content">
-      <result-landing type="publication"></result-landing>
+      <result-landing *ngIf="initialized" type="publication"></result-landing>
     </div>
   `,
 })
 export class MonitorPublicationComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/publication/libPublication.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/publication/libPublication.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/publication/libPublication.module.ts	(revision 59106)
@@ -4,9 +4,10 @@
 import { MonitorPublicationComponent } from './publication.component';
 import {PublicationRoutingModule} from './publication-routing.module';
 import {ResultLandingModule} from "../../../openaireLibrary/landingPages/result/resultLanding.module";
+import {CommonModule} from "@angular/common";
 
 @NgModule({
-  imports: [PublicationRoutingModule, ResultLandingModule],
+  imports: [PublicationRoutingModule, ResultLandingModule, CommonModule],
   declarations:[MonitorPublicationComponent],
   providers:[FreeGuard, PreviousRouteRecorder],
   exports:[MonitorPublicationComponent]
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/result/result.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/result/result.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/result/result.component.ts	(revision 59106)
@@ -1,11 +1,31 @@
 import {Component} from '@angular/core';
+import {ActivatedRoute, Router} from "@angular/router";
+import {StakeholderService} from "../../../openaireLibrary/monitor/services/stakeholder.service";
 
 @Component({
   selector: 'monitor-result',
   template: `
     <div id="page_content">
-      <result-landing type="result"></result-landing>
+      <result-landing *ngIf="initialized" type="result"></result-landing>
     </div>`,
 })
 export class MonitorResultComponent {
+  initialized: boolean = false;
+  
+  constructor(private route: ActivatedRoute,
+              private router: Router,
+              private stakeholderService: StakeholderService) {
+  }
+  
+  ngOnInit() {
+    this.route.params.subscribe(params => {
+      if (params['stakeholder']) {
+        this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
+          if (stakeholder) {
+            this.initialized = true;
+          }
+        });
+      }
+    });
+  }
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/result/libResult.module.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/result/libResult.module.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/search/landingPages/result/libResult.module.ts	(revision 59106)
@@ -4,9 +4,10 @@
 import {MonitorResultComponent} from './result.component';
 import {ResultRoutingModule} from './result-routing.module';
 import {ResultLandingModule} from "../../../openaireLibrary/landingPages/result/resultLanding.module";
+import {CommonModule} from "@angular/common";
 
 @NgModule({
-  imports: [ResultRoutingModule, ResultLandingModule],
+  imports: [ResultRoutingModule, ResultLandingModule, CommonModule],
   declarations:[MonitorResultComponent],
   providers:[FreeGuard, PreviousRouteRecorder],
   exports:[MonitorResultComponent]
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts	(revision 59105)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts	(revision 59106)
@@ -89,18 +89,24 @@
             if (!this.stakeholderService.stakeholder ||
               this.stakeholderService.stakeholder.alias !== params['stakeholder']) {
               this.stakeholderService.getStakeholder(this.properties.monitorServiceAPIURL, params['stakeholder']).subscribe(stakeholder => {
-                this.stakeholderService.setStakeholder(stakeholder);
-                this.layoutService.setOpen(true);
-                this.stakeholder = stakeholder;
-                LinksResolver.setProperties(this.stakeholder.alias);
-                if(isSearch) {
-                  this.activeTopic = null;
-                } else if (params && params['topic'] && !this.activeTopic) {
-                  this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                if(stakeholder) {
+                  this.stakeholder = stakeholder;
+                  LinksResolver.setProperties(this.stakeholder.alias);
+                  this.stakeholderService.setStakeholder(stakeholder);
+                  this.layoutService.setOpen(true);
+                  if (isSearch) {
+                    this.activeTopic = null;
+                  } else if (params && params['topic'] && !this.activeTopic) {
+                    this.activeTopic = this.stakeholder.topics.find(topic => topic.alias === decodeURIComponent(params['topic']) && this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                  } else {
+                    this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                  }
+                  this.setSideBar();
                 } else {
-                  this.activeTopic = this.stakeholder.topics.find(topic => this.isPublicOrIsMember(topic.isPublic) && topic.isActive);
+                  this.stakeholderService.setStakeholder(null);
+                  LinksResolver.resetProperties();
+                  this.navigateToError();
                 }
-                this.setSideBar();
               }, error => {
                 this.stakeholderService.setStakeholder(null);
                 LinksResolver.resetProperties();