Index: modules/uoa-connect-portal/trunk/src/app/community/community.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/community/community.component.ts	(revision 59522)
+++ modules/uoa-connect-portal/trunk/src/app/community/community.component.ts	(revision 59523)
@@ -126,7 +126,7 @@
     private _searchCommunityProjectsService: SearchCommunityProjectsService,
     private _searchResearchResultsService: SearchResearchResultsService,
     private _searchZenodoCommunitiesService: SearchZenodoCommunitiesService,
-    private _ΖenodoCommunitieService: ZenodoCommunitiesService,
+    private _zenodoCommunitieService: ZenodoCommunitiesService,
     private seoService: SEOService,
     private userManagementService: UserManagementService) {
 
@@ -179,7 +179,8 @@
             this.subs.push(this._piwikService.trackView(this.properties, community.title, PiwikHelper.getSiteId(this.communityId, this.properties.environment)).subscribe());
           }
           if (this.community.zenodoCommunity) {
-            this.subs.push(this._ΖenodoCommunitieService.getZenodoCommunityById(this.properties, this.properties.zenodoCommunities + this.community.zenodoCommunity, null).subscribe(
+            console.log(this.community.zenodoCommunity);
+            this.subs.push(this._zenodoCommunitieService.getZenodoCommunityById(this.properties, this.properties.zenodoCommunities + this.community.zenodoCommunity, null).subscribe(
               result => {
                 this.masterZenodoCommunity = result;
 
@@ -198,8 +199,6 @@
           this.subs.push(this._searchZenodoCommunitiesService.searchZCommunities(this.properties, this.communityId).subscribe(
             result => {
               this.zenodoCommunityIdS = result;
-
-
             },
             error => {
               //console.error("list of zenodo communities couldn't be loaded");
Index: modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.html
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.html	(revision 59522)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.html	(revision 59523)
@@ -1,128 +1,134 @@
-  <schema2jsonld *ngIf="url" [URL]="url" [name]="title" type="other"></schema2jsonld>
-  <div class="uk-section uk-padding-remove-bottom uk-padding-remove-top">
-      <div class="communityPanelBackground uk-padding-small">
-        <div class="uk-container uk-container-large uk-margin-top uk-margin-bottom">
-         <!-- <ul class="uk-breadcrumb">
-            <li><a class="breadcrumb" routerLinkActive="router-link-active" routerLink="{{depositLearnHowPage}}"
-                   [queryParams]="properties.environment!='development'?{}:routerHelper.createQueryParam('communityId',communityId)">
-              Deposit
-            </a></li>
-            <li><span class="active">Deposit in Zenodo</span></li>
-          </ul>-->
-          <breadcrumbs [light]="true" [breadcrumbs]="breadcrumbs"></breadcrumbs>
-        </div>
+<schema2jsonld *ngIf="url" [URL]="url" [name]="title" type="other"></schema2jsonld>
+<div class="uk-section uk-padding-remove-bottom uk-padding-remove-top">
+  <div class="communityPanelBackground uk-padding-small">
+    <div class="uk-container uk-container-large uk-margin-top uk-margin-bottom">
+      <!-- <ul class="uk-breadcrumb">
+         <li><a class="breadcrumb" routerLinkActive="router-link-active" routerLink="{{depositLearnHowPage}}"
+                [queryParams]="properties.environment!='development'?{}:routerHelper.createQueryParam('communityId',communityId)">
+           Deposit
+         </a></li>
+         <li><span class="active">Deposit in Zenodo</span></li>
+       </ul>-->
+      <breadcrumbs [light]="true" [breadcrumbs]="breadcrumbs"></breadcrumbs>
+    </div>
+  </div>
+</div>
+<div class="">
+  <div class=" uk-section  uk-margin-small-top tm-middle uk-container uk-container-large " id="tm-main">
+    <helper *ngIf="pageContents && pageContents['top'] && pageContents['top'].length > 0"
+            [texts]="pageContents['top']"></helper>
+    <div class="uk-container uk-container-large uk-margin-bottom">
+      <div class="uk-h2">
+        <span class="uk-text-bold">Deposit</span> in Zenodo
       </div>
-    </div>
-  <div class="">
-    <div class=" uk-section  uk-margin-small-top tm-middle uk-container uk-container-large " id="tm-main">
-      <helper *ngIf="pageContents && pageContents['top'] && pageContents['top'].length > 0" [texts]="pageContents['top']"></helper>
-      <div class="uk-container uk-container-large uk-margin-bottom">
-          <div class="uk-h2">
-            <span class="uk-text-bold">Deposit</span> in Zenodo
-          </div>
-          <div>
-            <div *ngIf="masterZenodoCommunity" class="uk-animation-fade  uk-margin-large-top">
-              Main Zenodo community
-              <div class=" uk-card uk-card-default uk-card-body uk-padding-remove-horizontal uk-margin-top">
-              <!-- <div class="uk-text-large uk-margin-bottom"  >Master Zenodo community</div> -->
-                 <div class="uk-comment-header uk-grid-medium uk-flex-middle  uk-padding uk-padding-remove-vertical" uk-grid>
+      <div>
+        <div *ngIf="masterZenodoCommunity" class="uk-animation-fade  uk-margin-large-top">
+          Main Zenodo community
+          <div class=" uk-card uk-card-default uk-card-body uk-padding-remove-horizontal uk-margin-top">
+            <!-- <div class="uk-text-large uk-margin-bottom"  >Master Zenodo community</div> -->
+            <div class="uk-comment-header uk-grid-medium uk-flex-middle  uk-padding uk-padding-remove-vertical" uk-grid>
 
-                    <div class="uk-width-auto">
-                      <a target="_blank" [href]="masterZenodoCommunity.link">
-                        <img *ngIf="masterZenodoCommunity.logoUrl" class="uk-comment-avatar" src="{{masterZenodoCommunity.logoUrl}}" width="80" height="80" alt="">
-                      </a>
-                    </div>
-                    <div class="uk-width-expand">
-                        <h4 class="uk-comment-title uk-margin-remove   ">
-                          <a *ngIf="masterZenodoCommunity.link" class="custom-external uk-text-large  uk-text-bold" target="_blank" href="{{masterZenodoCommunity.link}}">
-                            <span *ngIf="masterZenodoCommunity.title">{{masterZenodoCommunity.title}}</span>
-                            <span *ngIf="!masterZenodoCommunity.title">[no name available]</span>
-                          </a>
-                          <div  *ngIf="!masterZenodoCommunity.link" class=" uk-text-large  uk-text-bold">
-                            <span *ngIf="masterZenodoCommunity.title">{{masterZenodoCommunity.title}}</span>
-                            <span *ngIf="!masterZenodoCommunity.title">[no name available]</span>
-                          </div>
-                      </h4>
-                        <div *ngIf="masterZenodoCommunity.date" class="uk-comment-meta " >
-                             last update: {{masterZenodoCommunity.date | date:'yyyy/MM/dd'}}
-                        </div>
+              <div class="uk-width-auto">
+                <a target="_blank" [href]="masterZenodoCommunity.link">
+                  <img *ngIf="masterZenodoCommunity.logoUrl" class="uk-comment-avatar"
+                       src="{{masterZenodoCommunity.logoUrl}}" width="80" height="80" alt="">
+                </a>
+              </div>
+              <div class="uk-width-expand">
+                <h4 class="uk-comment-title uk-margin-remove   ">
+                  <a *ngIf="masterZenodoCommunity.link" class="uk-text-large uk-text-bold" target="_blank"
+                     href="{{masterZenodoCommunity.link}}">
+                    <span class="custom-external custom-icon large"></span>
+                    <span class="space"></span>
+                    <span *ngIf="masterZenodoCommunity.title">{{masterZenodoCommunity.title}}</span>
+                    <span *ngIf="!masterZenodoCommunity.title">[no name available]</span>
+                  </a>
+                  <span *ngIf="!masterZenodoCommunity.link" class=" uk-text-large  uk-text-bold">
+                    <span *ngIf="masterZenodoCommunity.title">{{masterZenodoCommunity.title}}</span>
+                    <span *ngIf="!masterZenodoCommunity.title">[no name available]</span>
+                  </span>
+                </h4>
+                <div *ngIf="masterZenodoCommunity.date" class="uk-comment-meta ">
+                  last update: {{masterZenodoCommunity.date | date:'yyyy/MM/dd'}}
+                </div>
 
-                    </div>
-<!--                    <div>-->
-<!--                          <a class="uk-button portal-button" target="_blank" [href]="depositLink + masterZenodoCommunity.id " >-->
-<!--                            <span  class="uk-icon"> <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></span>-->
-<!--                            <span> New upload</span>-->
+              </div>
+              <!--                    <div>-->
+              <!--                          <a class="uk-button portal-button" target="_blank" [href]="depositLink + masterZenodoCommunity.id " >-->
+              <!--                            <span  class="uk-icon"> <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></span>-->
+              <!--                            <span> New upload</span>-->
 
-<!--                          </a>-->
-<!--                    </div>-->
-        <span class="uk-width-expand uk-flex uk-flex-bottom uk-flex-right">
+              <!--                          </a>-->
+              <!--                    </div>-->
+              <span class="uk-width-expand uk-flex uk-flex-bottom uk-flex-right">
           <a [href]="depositLink + masterZenodoCommunity.id " target="_blank" type="submit"
              class=" zenodoButton uk-float-right uk-button portal-button uk-padding uk-padding-remove-vertical uk-margin-small-left">
             <span><span>New upload</span><span uk-icon="arrow-right"></span></span>
           </a>
         </span>
-                  </div>
-                <div class="uk-comment-body uk-overflow-auto uk-height-max-medium  uk-padding uk-padding-remove-vertical">
-                    <p *ngIf="masterZenodoCommunity.description" [innerHtml]=masterZenodoCommunity.description></p>
-                 </div>
-              </div>
             </div>
-
+            <div class="uk-comment-body uk-overflow-auto uk-height-max-medium  uk-padding uk-padding-remove-vertical">
+              <p *ngIf="masterZenodoCommunity.description" [innerHtml]=masterZenodoCommunity.description></p>
+            </div>
           </div>
-          <div *ngIf="zenodoSearchUtils.status == errorCodes.LOADING "
-                          class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert">
-                          <span class="loading-gif  uk-align-center" ></span>
-          </div>
-          <div *ngIf=" (zenodoSearchUtils.status == errorCodes.ERROR || zenodoSearchUtils.status == errorCodes.NONE) && !masterZenodoCommunity "
-                class="uk-animation-fade uk-margin-top  uk-width-1-1 uk-alert uk-alert-warning" role="alert">
-                 No zenodo communities found
-          </div>
-          <ul  *ngIf="communities.length > 0" class="uk-list  uk-margin uk-margin-large-top">
-            Other related Zenodo communities ({{communities.length}})
-             <li *ngFor="let item of communities;" class="uk-animation-fade uk-margin-top">
-               <div class=" uk-card uk-card-default uk-card-body uk-padding-remove-horizontal">
-                 <div class="uk-comment-header uk-grid-medium uk-flex-middle uk-padding uk-padding-remove-vertical" uk-grid>
-                    <div class="uk-width-auto">
-                      <a target="_blank" [href]="item.link">
-                        <img *ngIf="item.logoUrl" class="uk-comment-avatar" src="{{item.logoUrl}}" width="80" height="80" alt="">
-                      </a>
-                    </div>
-                    <div class="uk-width-expand">
-                        <h4 class="uk-comment-title uk-margin-remove uk-grid">
-                          <a class="custom-external uk-width-expand" target="_blank" href="{{item.link}}">
-                            <span *ngIf="item.title">{{item.title}}</span>
-                            <span *ngIf="!item.title">[no name available]</span>
-                          </a>
-                        <span class="uk-width-1-6 uk-text-center">
+        </div>
 
+      </div>
+      <div *ngIf="zenodoSearchUtils.status == errorCodes.LOADING "
+           class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert">
+        <span class="loading-gif  uk-align-center"></span>
+      </div>
+      <div
+          *ngIf=" (zenodoSearchUtils.status == errorCodes.ERROR || zenodoSearchUtils.status == errorCodes.NONE) && !masterZenodoCommunity "
+          class="uk-animation-fade uk-margin-top  uk-width-1-1 uk-alert uk-alert-warning" role="alert">
+        No zenodo communities found
+      </div>
+      <ul *ngIf="communities.length > 0" class="uk-list  uk-margin uk-margin-large-top">
+        Other related Zenodo communities ({{communities.length}})
+        <li *ngFor="let item of communities;" class="uk-animation-fade uk-margin-top">
+          <div class=" uk-card uk-card-default uk-card-body uk-padding-remove-horizontal">
+            <div class="uk-comment-header uk-grid-medium uk-flex-middle uk-padding uk-padding-remove-vertical" uk-grid>
+              <div class="uk-width-auto">
+                <a target="_blank" [href]="item.link">
+                  <img *ngIf="item.logoUrl" class="uk-comment-avatar" src="{{item.logoUrl}}" width="80" height="80"
+                       alt="">
+                </a>
+              </div>
+              <div class="uk-width-expand">
+                <h4 class="uk-comment-title uk-margin-remove">
+                  <a class="uk-width-expand" target="_blank" href="{{item.link}}">
+                    <span class="custom-external custom-icon large"></span>
+                    <span class="space"></span>
+                    <span *ngIf="item.title">{{item.title}}</span>
+                    <span *ngIf="!item.title">[no name available]</span>
+                  </a>
+                </h4>
+                <div class="uk-comment-meta ">
+                  last update: {{item.date | date:'yyyy/MM/dd'}}
+                </div>
+              </div>
+              <!--                    <div>-->
+              <!--                          <a class="uk-button portal-button" target="_blank" [href]="depositLink + item.id " >-->
+              <!--                            <span  class="uk-icon"> <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></span>-->
+              <!--                            <span> New upload</span>-->
 
-                       </span>
-                      </h4>
-                        <div class="uk-comment-meta ">
-                             last update: {{item.date | date:'yyyy/MM/dd'}}
-                        </div>
-                    </div>
-<!--                    <div>-->
-<!--                          <a class="uk-button portal-button" target="_blank" [href]="depositLink + item.id " >-->
-<!--                            <span  class="uk-icon"> <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="upload" ratio="1"><polyline fill="none" stroke="#000" points="5 8 9.5 3.5 14 8 "></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="15" x2="9.5" y2="4"></line></svg></span>-->
-<!--                            <span> New upload</span>-->
-
-<!--                          </a>-->
-<!--                    </div>-->
-        <span class="uk-width-expand uk-flex uk-flex-bottom uk-flex-right">
+              <!--                          </a>-->
+              <!--                    </div>-->
+              <span class="uk-width-expand uk-flex uk-flex-bottom uk-flex-right">
           <a [href]="depositLink + item.id " target="_blank" type="submit"
              class=" zenodoButton uk-float-right uk-button portal-button uk-padding uk-padding-remove-vertical uk-margin-small-left">
             <span><span>New upload</span><span uk-icon="arrow-right"></span></span>
           </a>
         </span>
-                </div>
-                <div class="uk-comment-body uk-overflow-auto uk-height-max-medium uk-padding uk-padding-remove-vertical">
-                    <p *ngIf="item.description" [innerHtml]=item.description></p>
-                 </div>
-               </div>
-            </li>
-          </ul>
-      </div>
-      <helper *ngIf="pageContents && pageContents['bottom'] && pageContents['bottom'].length > 0" [texts]="pageContents['bottom']"></helper>
+            </div>
+            <div class="uk-comment-body uk-overflow-auto uk-height-max-medium uk-padding uk-padding-remove-vertical">
+              <p *ngIf="item.description" [innerHtml]=item.description></p>
+            </div>
+          </div>
+        </li>
+      </ul>
     </div>
+    <helper *ngIf="pageContents && pageContents['bottom'] && pageContents['bottom'].length > 0"
+            [texts]="pageContents['bottom']"></helper>
+  </div>
 </div>
Index: modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.ts	(revision 59522)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.ts	(revision 59523)
@@ -60,7 +60,7 @@
               private _router: Router,
               private _meta: Meta,
               private _title: Title,
-              private _ΖenodoCommunitieService: ZenodoCommunitiesService,
+              private _zenodoCommunitieService: ZenodoCommunitiesService,
               private _communityService: CommunityService,
               private _searchZenodoCommunitiesService: SearchZenodoCommunitiesService,
               private helper: HelperService,
@@ -105,7 +105,7 @@
               HelperFunctions.scroll();
             }
             if (this.masterZenodoCommunityId) {
-              this.subs.push(this._ΖenodoCommunitieService.getZenodoCommunityById(this.properties, this.properties.zenodoCommunities + this.masterZenodoCommunityId, null).subscribe(
+              this.subs.push(this._zenodoCommunitieService.getZenodoCommunityById(this.properties, this.properties.zenodoCommunities + this.masterZenodoCommunityId, null).subscribe(
                 result => {
                   this.masterZenodoCommunity = result;
 
@@ -182,7 +182,7 @@
   }
 
   getZenodoCommunityById(zenodoid, openaireId) {
-    this.subs.push(this._ΖenodoCommunitieService.getZenodoCommunityById(this.properties, this.properties.zenodoCommunities + zenodoid, openaireId).subscribe(
+    this.subs.push(this._zenodoCommunitieService.getZenodoCommunityById(this.properties, this.properties.zenodoCommunities + zenodoid, openaireId).subscribe(
       result => {
         this.communities.push(result);
         this.zenodocommunitiesloadedCount++;
Index: modules/uoa-connect-portal/trunk/src/environments/environment.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/environments/environment.ts	(revision 59522)
+++ modules/uoa-connect-portal/trunk/src/environments/environment.ts	(revision 59523)
@@ -55,7 +55,8 @@
   registryUrl: 'http://mpagasas.di.uoa.gr:8080/dnet-openaire-users-1.0.0-SNAPSHOT/api/registry/',
   loginUrl: "http://dl170.madgik.di.uoa.gr:8180/dnet-login/openid_connect_login",
   userInfoUrl: "http://dl170.madgik.di.uoa.gr:8180/dnet-openaire-users-1.0.0-SNAPSHOT/api/users/getUserInfo?accessToken=",
-  logoutUrl: "https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
+  //logoutUrl: 'http://mpagasas.di.uoa.gr:8180/dnet-login/openid_logout',
+  logoutUrl: 'https://openaire-dev.aai-dev.grnet.gr/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=',
   cookieDomain: '.di.uoa.gr',
   feedbackmail: 'openaire.test@gmail.com',
   cacheUrl: 'http://duffy.di.uoa.gr:3000/get?url=',