Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.component.ts	(revision 59579)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.component.ts	(revision 59580)
@@ -8,13 +8,7 @@
     <div class="menu">
       <img class="logo" *ngIf="logoURL" [src]="logoURL">
       <a *ngIf="stateValue > 1" class="previous" (click)="onClick(stateValue - 1)">
-        <svg xmlns="http://www.w3.org/2000/svg" width="17.155" height="17.155" viewBox="0 0 17.155 17.155">
-          <g id="Group_3053" data-name="Group 3053" transform="translate(0)">
-            <path id="arrow-down-left2"
-                  d="M10.405,11.834,2.022,3.451V7.076A1.011,1.011,0,0,1,0,7.076V1.011A1.009,1.009,0,0,1,1.011,0H7.076a1.011,1.011,0,1,1,0,2.022H3.451l8.383,8.383a1.011,1.011,0,1,1-1.429,1.429h0Z"
-                  transform="translate(8.578 0) rotate(45)" fill="#e95420"/>
-          </g>
-        </svg>
+        <icon name="arrow_up"></icon>
       </a>
       <nav>
         <ul>
@@ -24,13 +18,7 @@
         </ul>
       </nav>
       <a *ngIf="stateValue < slides.length" class="next" (click)="onClick(stateValue + 1)">
-        <svg xmlns="http://www.w3.org/2000/svg" width="17.155" height="17.155" viewBox="0 0 17.155 17.155">
-          <g id="Group_2442" data-name="Group 2442" transform="translate(-1221 -675)">
-            <path id="arrow-down-left2"
-                  d="M14.405,4.3,6.022,12.68V9.055A1.011,1.011,0,0,0,4,9.055V15.12a1.009,1.009,0,0,0,1.011,1.01h6.065a1.011,1.011,0,1,0,0-2.022H7.451l8.383-8.383A1.011,1.011,0,0,0,14.405,4.3h0Z"
-                  transform="translate(1215.343 683.578) rotate(-45)" fill="#e95420"/>
-          </g>
-        </svg>
+        <icon name="arrow_down"></icon>
       </a>
     </div>
     <div [ngClass]="topBar" class="top-bar"></div>
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.component.css
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.component.css	(revision 59579)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.component.css	(revision 59580)
@@ -68,15 +68,12 @@
 
 .menu a.previous:hover, .menu a.next:hover {
   background-color: var(--portal-main-color);
+  color: white;
   border-radius: 50%;
   display: flex;
   padding: 5px;
 }
 
-.menu a.previous:hover path, .menu a.next:hover path {
-  fill: white;
-}
-
 .menu nav  {
   position: absolute;
   top: 50%;
@@ -102,11 +99,12 @@
   border-radius: 100%;
   width: 15px;
   height: 15px;
-  background-color: rgba(233, 84, 32, 0.4);
+  opacity: 0.4;
+  background-color: var(--portal-dark-color);
 }
 
 .menu nav > ul > li.uk-active {
-  border: 1px solid #E95420;
+  border: 1px solid var(--portal-main-color);
   transition: border-top-color 0.25s linear, border-right-color 0.25s linear 0.10s, border-bottom-color 0.25s linear 0.30s, border-left-color 0.25s linear 0.40s;
   -webkit-animation : border-top-color 0.25s linear, border-right-color 0.25s linear 0.10s, border-bottom-color 0.25s linear 0.30s, border-left-color 0.25s linear 0.40s;
   -moz-animation : border-top-color 0.25s linear, border-right-color 0.25s linear 0.10s, border-bottom-color 0.25s linear 0.30s, border-left-color 0.25s linear 0.40s;
@@ -114,5 +112,6 @@
 }
 
 .menu nav > ul > li.uk-active > a, .menu nav > ul > li > a:hover {
-  background-color: #E95420;
+  background-color: var(--portal-main-color);
+  opacity: 1;
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.module.ts	(revision 59579)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/full-page-slider/full-page-slider.module.ts	(revision 59580)
@@ -3,12 +3,17 @@
 import {FullPageSliderComponent} from "./full-page-slider.component";
 import {SlideComponent} from "./slide.component";
 import {BottomModule} from '../../sharedComponents/bottom.module';
+import {IconsModule} from '../icons/icons.module';
+import {IconsService} from '../icons/icons.service';
+import {arrow_down, arrow_up} from '../icons/icons';
 
 @NgModule({
-  imports: [CommonModule, BottomModule],
+  imports: [CommonModule, BottomModule, IconsModule],
   declarations: [FullPageSliderComponent, SlideComponent],
   exports: [FullPageSliderComponent, SlideComponent],
 })
 export class FullPageSliderModule {
-
+  constructor(private iconsService: IconsService) {
+    this.iconsService.registerIcons([arrow_up, arrow_down]);
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/icons/icons.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/icons/icons.ts	(revision 59579)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/icons/icons.ts	(revision 59580)
@@ -8,6 +8,16 @@
   data: '<svg height="20" viewBox="0 0 16 16" width="20" xmlns="http://www.w3.org/2000/svg"><path d="M12.578,4.244,5.667,11.155V8.167A.833.833,0,1,0,4,8.167v5A.832.832,0,0,0,4.833,14h5a.833.833,0,0,0,0-1.667H6.845l6.911-6.911a.833.833,0,1,0-1.178-1.178h0Z" transform="translate(7.071 19.799) rotate(-135)"></path></svg>'
 };
 
+export const arrow_up: Icon = {
+  name: 'arrow_up',
+  data: '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 17.155 17.155"><g transform="translate(0)"><path d="M10.405,11.834,2.022,3.451V7.076A1.011,1.011,0,0,1,0,7.076V1.011A1.009,1.009,0,0,1,1.011,0H7.076a1.011,1.011,0,1,1,0,2.022H3.451l8.383,8.383a1.011,1.011,0,1,1-1.429,1.429h0Z" transform="translate(8.578 0) rotate(45)"/></g></svg>'
+}
+
+export const arrow_down: Icon = {
+  name: 'arrow_down',
+  data: '<svg height="20" viewBox="0 0 17.155 17.155" width="20" xmlns="http://www.w3.org/2000/svg"><g transform="translate(-1221 -675)"><path d="M14.405,4.3,6.022,12.68V9.055A1.011,1.011,0,0,0,4,9.055V15.12a1.009,1.009,0,0,0,1.011,1.01h6.065a1.011,1.011,0,1,0,0-2.022H7.451l8.383-8.383A1.011,1.011,0,0,0,14.405,4.3h0Z" transform="translate(1215.343 683.578) rotate(-45)"></path></g></svg>'
+}
+
 export const book: Icon = {
   name: 'book',
   data: '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 22.106 30"><path id="book" d="M26.9,9.405V25.749c0,.824-.713,1.218-1.579,1.832a1.034,1.034,0,0,1-1.579-.927V10.685a.877.877,0,0,0-.5-.845c-.379-.194-12.218-6.418-12.218-6.418A2.239,2.239,0,0,0,8.9,3.4,4.487,4.487,0,0,0,7.119,4.808l12.916,7.077a.917.917,0,0,1,.555.815V29.755a1.057,1.057,0,0,1-.582.924,1.209,1.209,0,0,1-1.136-.042c-.339-.207-12.274-7.526-13.063-8-.379-.227-.823-.693-.832-1.039L4.8,5.355a2.612,2.612,0,0,1,.456-1.629c1.1-1.711,4.94-3.658,6.884-2.65L26.348,8.268A1.151,1.151,0,0,1,26.9,9.405Z" transform="translate(-4.799 -0.8)"/></svg>'