Index: modules/uoa-usage-statistics/trunk/src/app/analytics/analytics.component.html
===================================================================
--- modules/uoa-usage-statistics/trunk/src/app/analytics/analytics.component.html	(revision 59951)
+++ modules/uoa-usage-statistics/trunk/src/app/analytics/analytics.component.html	(revision 59952)
@@ -1,8 +1,8 @@
+<schema2jsonld [URL]="properties.domain"
+               [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
+               type="other" [description]="description" [name]="title">
+</schema2jsonld>
 <div class="analytics">
-  <schema2jsonld [URL]="properties.domain"
-                 [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
-                 type="other" [description]="description" [name]="title">
-  </schema2jsonld>
   <div *ngIf="countryFb" class="uk-container uk-text-center countries">
     <a class="uk-visible@l next uk-flex uk-flex-middle uk-text-uppercase" (click)="goTo('graph-analysis')">
       Graph Analysis
Index: modules/uoa-usage-statistics/trunk/src/app/about/about.component.html
===================================================================
--- modules/uoa-usage-statistics/trunk/src/app/about/about.component.html	(revision 59951)
+++ modules/uoa-usage-statistics/trunk/src/app/about/about.component.html	(revision 59952)
@@ -1,8 +1,8 @@
+<schema2jsonld [URL]="properties.domain"
+               [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
+               type="other" [description]="description" [name]="title">
+</schema2jsonld>
 <div class="about">
-  <schema2jsonld [URL]="properties.domain"
-                 [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
-                 type="other" [description]="description" [name]="title">
-  </schema2jsonld>
   <div class="uk-container uk-container-large about-background">
     <div class="uk-container uk-section uk-section-small uk-visible@l">
       <h2 class="uk-text-bold">About</h2>
Index: modules/uoa-usage-statistics/trunk/src/app/resources/resources.component.html
===================================================================
--- modules/uoa-usage-statistics/trunk/src/app/resources/resources.component.html	(revision 59951)
+++ modules/uoa-usage-statistics/trunk/src/app/resources/resources.component.html	(revision 59952)
@@ -1,8 +1,8 @@
+<schema2jsonld [URL]="properties.domain"
+               [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
+               type="other" [description]="description" [name]="title">
+</schema2jsonld>
 <div class="resources">
-  <schema2jsonld [URL]="properties.domain"
-                 [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
-                 type="other" [description]="description" [name]="title">
-  </schema2jsonld>
   <div class="uk-container uk-container-large provide-background">
     <div class="uk-container uk-section uk-section-small uk-padding-remove-bottom">
       <h2 class="uk-margin-remove-vertical">OpenAIRE Provide</h2>
Index: modules/uoa-usage-statistics/trunk/src/app/contact/contact.component.html
===================================================================
--- modules/uoa-usage-statistics/trunk/src/app/contact/contact.component.html	(revision 59951)
+++ modules/uoa-usage-statistics/trunk/src/app/contact/contact.component.html	(revision 59952)
@@ -1,8 +1,8 @@
+<schema2jsonld [URL]="properties.domain"
+               [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
+               type="other" [description]="description" [name]="title">
+</schema2jsonld>
 <div class="uk-section uk-section-small uk-container uk-container-large contact">
-  <schema2jsonld [URL]="properties.domain"
-                 [logoURL]="properties.domain + '/assets/common-assets/logo-small-usage-counts.png'"
-                 type="other" [description]="description" [name]="title">
-  </schema2jsonld>
   <div class="uk-container">
     <h2 class="uk-text-bold">Contact Us</h2>
     <div class="uk-grid uk-flex uk-flex-bottom" uk-grid>