Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/divId/divIds.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/divId/divIds.component.html	(revision 60214)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/divId/divIds.component.html	(revision 60215)
@@ -13,10 +13,10 @@
               class="title">{{type.label}}</span></a></li>
         </ul>
       </div>
-      <div class="uk-width-1-1 uk-flex uk-flex-right uk-flex-middle">
+      <div class="uk-width-1-1 uk-flex uk-flex-right@m uk-flex-center uk-flex-wrap uk-flex-middle uk-grid" uk-grid>
         <div search-input [control]="filterForm.controls.keyword" [showSearch]="false" placeholder="Search"
              [bordered]="true" colorClass="uk-text-secondary"></div>
-        <div class="uk-margin-left show-options">
+        <div class="show-options">
           <button class="uk-button uk-button-secondary">Bulk Actions</button>
           <div uk-dropdown="mode: click">
             <ul class="uk-nav uk-margin-left"
@@ -27,7 +27,7 @@
             </ul>
           </div>
         </div>
-        <div class="uk-margin-left">
+        <div>
           <a (click)="newDivId()"
              class="uk-flex uk-flex-middle uk-text-uppercase">
             <button class="large uk-icon-button uk-button-secondary">
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/portal/portals.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/portal/portals.component.html	(revision 60214)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/portal/portals.component.html	(revision 60215)
@@ -13,10 +13,10 @@
               class="title">{{type.label}}</span></a></li>
         </ul>
       </div>
-      <div class="uk-width-1-1 uk-flex uk-flex-right uk-flex-middle">
+      <div class="uk-width-1-1 uk-flex uk-flex-right@m uk-flex-center uk-flex-wrap uk-flex-middle uk-grid" uk-grid>
         <div search-input [control]="filterForm.controls.keyword" [showSearch]="false" placeholder="Search page"
              [bordered]="true" colorClass="uk-text-secondary"></div>
-        <div class="uk-margin-left show-options">
+        <div class="show-options">
           <button class="uk-button uk-button-secondary">Bulk Actions</button>
           <div uk-dropdown="mode: click">
             <ul class="uk-nav uk-margin-left"
@@ -27,7 +27,7 @@
             </ul>
           </div>
         </div>
-        <div class="uk-margin-left">
+        <div>
           <a (click)="newCommunity()"
              class="uk-flex uk-flex-middle uk-text-uppercase">
             <button class="large uk-icon-button uk-button-secondary">
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/entity/entities.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/entity/entities.component.html	(revision 60214)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/entity/entities.component.html	(revision 60215)
@@ -13,10 +13,10 @@
               (click)="filterForm.get('status').setValue('disabled')"><span class="title">Disabled</span></a></li>
         </ul>
       </div>
-      <div class="uk-width-1-1 uk-flex uk-flex-right uk-flex-middle">
+      <div class="uk-width-1-1 uk-flex uk-flex-right@m uk-flex-center uk-flex-wrap uk-flex-middle uk-grid" uk-grid>
         <div search-input [control]="filterForm.controls.keyword" [showSearch]="false" placeholder="Search entity"
              [bordered]="true" colorClass="uk-text-secondary"></div>
-        <div class="uk-margin-left show-options">
+        <div class="show-options">
           <button class="uk-button uk-button-secondary">Bulk Actions</button>
           <div uk-dropdown="mode: click">
             <ul class="uk-nav uk-margin-left"
@@ -35,7 +35,7 @@
             </ul>
           </div>
         </div>
-        <div *ngIf="isPortalAdministrator" class="uk-margin-left">
+        <div *ngIf="isPortalAdministrator">
           <a (click)="newEntity()"
              class="uk-flex uk-flex-middle uk-text-uppercase">
             <button class="large uk-icon-button uk-button-secondary">
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/page/pages.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/page/pages.component.html	(revision 60214)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/dashboard/page/pages.component.html	(revision 60215)
@@ -13,10 +13,10 @@
               class="title">{{type.label}}</span></a></li>
         </ul>
       </div>
-      <div class="uk-width-1-1 uk-flex uk-flex-right uk-flex-middle">
+      <div class="uk-width-1-1 uk-flex uk-flex-right@m uk-flex-center uk-flex-wrap uk-flex-middle uk-grid" uk-grid>
         <div search-input [control]="filterForm.controls.keyword" [showSearch]="false" placeholder="Search page"
              [bordered]="true" colorClass="uk-text-secondary"></div>
-        <div class="uk-margin-left show-options">
+        <div class="show-options">
           <button class="uk-button uk-button-secondary">Bulk Actions</button>
           <div uk-dropdown="mode: click">
             <ul class="uk-nav  uk-margin-left"
@@ -32,7 +32,7 @@
             </ul>
           </div>
         </div>
-        <div *ngIf="isPortalAdministrator" class="uk-margin-left">
+        <div *ngIf="isPortalAdministrator">
           <a (click)="newPage()"
              class="uk-flex uk-flex-middle uk-text-uppercase">
             <button class="large uk-icon-button uk-button-secondary">