Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchDownload.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 60279)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 60280)
@@ -111,7 +111,7 @@
         //window.location.href = window.URL.createObjectURL(data);
         
         if (this.isPiwikEnabled && (typeof document !== 'undefined')) {
-          this.subscriptions.push(this._piwikService.trackDownload(this.properties, url, this.piwikSiteId).subscribe());
+          this.subscriptions.push(this._piwikService.trackDownload(this.properties, this.piwikSiteId).subscribe());
         }
       },
       error => {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 60279)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 60280)
@@ -361,7 +361,7 @@
         
         //window.open(window.URL.createObjectURL(data));
         if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
-          this.subscriptions.push(this._piwikService.trackDownload(this.properties, url, this.piwikSiteId).subscribe());
+          this.subscriptions.push(this._piwikService.trackDownload(this.properties, this.piwikSiteId).subscribe());
         }
       },
       err => {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 60279)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 60280)
@@ -431,7 +431,7 @@
         this.download(url, filename+".csv");
 
         if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
-          this.subscriptions.push(this._piwikService.trackDownload(this.properties, url, this.piwikSiteId).subscribe());
+          this.subscriptions.push(this._piwikService.trackDownload(this.properties, this.piwikSiteId).subscribe());
         }
       },
       error => {
@@ -537,7 +537,7 @@
           this.download(url, filename+".html");
 
           if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
-            this.subscriptions.push(this._piwikService.trackDownload(this.properties, url, this.piwikSiteId).subscribe());
+            this.subscriptions.push(this._piwikService.trackDownload(this.properties,  this.piwikSiteId).subscribe());
           }
         },
         err => {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/metrics/metrics.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/metrics/metrics.component.ts	(revision 60279)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/metrics/metrics.component.ts	(revision 60280)
@@ -99,7 +99,9 @@
         </div>
         <div class="footer uk-flex uk-flex-middle" [@footer]="state.toString()">
           <span>Powered by</span>
-          <img width="120" src="assets/common-assets/logo-large-usage-counts.png">
+          <a href="https://usagecounts.openaire.eu" target="_blank">
+            <img width="120" src="assets/common-assets/logo-large-usage-counts.png">
+          </a>
         </div>
       </div>
     </div>
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.component.html	(revision 60279)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.component.html	(revision 60280)
@@ -146,11 +146,11 @@
             <div class="main-tabs-div">
               <ng-template #summary_tab>
                 <div class="uk-grid uk-margin-remove">
-                 <!-- <div *ngIf="!hasPrimaryInfo" class="uk-width-expand uk-padding">
+                  <div *ngIf="!hasPrimaryInfo && hasSecondaryInfo" class="uk-width-expand uk-padding">
                     <div class="uk-animation-fade uk-alert uk-alert-primary" role="alert">
                       No summary information available
                     </div>
-                  </div>-->
+                  </div>
                   <div *ngIf="hasPrimaryInfo" class="uk-width-expand uk-padding">
                     <!-- Description -->
                     <div *ngIf="resultLandingInfo.description" class="uk-margin-medium-bottom">
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/piwik.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/piwik.service.ts	(revision 60279)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/piwik.service.ts	(revision 60280)
@@ -25,10 +25,11 @@
 
       }
     }
-    trackDownload (properties:EnvProperties, downloadURL, siteId = null):any {
+    trackDownload (properties:EnvProperties, siteId = null):any {
       var ua = this.getUserAgent();
       var referrer = this.getReferrer();
-      var url = properties.piwikBaseUrl+((siteId!=null)?siteId:properties.piwikSiteId)+"&rec=1&url="+StringUtils.URIEncode(downloadURL)+"&download="+StringUtils.URIEncode(downloadURL)+
+      var url = properties.piwikBaseUrl+((siteId!=null)?siteId:properties.piwikSiteId)+"&rec=1&url="+StringUtils.URIEncode(location.href)+"&download="+StringUtils.URIEncode(location.href)+
+        "&action_name="+StringUtils.URIEncode("Download titleeee!!!!")+
       ((ua != null && ua.length > 0)?('&ua='+StringUtils.URIEncode(ua)):'')+
       ((referrer != null && referrer.length > 0)?('&urlref='+StringUtils.URIEncode(referrer)):'');
       //console.log("Piwik - trackDownload: "+url);